@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins',sans-serif;
}
body{
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    background: #3498D8;
}
.wrapper{
    height: 260px;
    overflow: hidden;
    background: white;
    max-width: 410px;
    border-radius: 7px;
    padding: 16px 25px;
    transition: height 0.2s ease;
}
.wrapper.active{
    overflow: visible;
    height: 530px;
}
header h1{
    font-size: 21px;
    font-weight: 500;
}
header p{
    color: #474747;
    font-size: 16px;
}
.wrapper .form{
    margin : 20px 0 25px;
}
.form :where(input, button){
    width: 100%;
    height: 55px;
    border: none;
    outline: none;
    border-radius: 5px;
}
.form input{
    font-size: 18px;
    padding: 0 17px;
    border: 1px solid #999;
}
.form .btns{
    display: flex;
}
.btns button{
    color: #fff;
    cursor: pointer;
    margin-top: 20px;
    font-size: 17px;
    background: #3498D8;
}
.btns button:nth-child(1){
    width: 100%;
    transition: 0.3s;
}
.btns .download{
    width: 0;
    transition: 0.3s;
}
.wrapper.active .btns button:nth-child(1){
    width: 75%;
    margin-right: 3%;
}
.wrapper.active .download{
    width: 22%;
}
.wrapper .qr-code{
    opacity: 0;
    pointer-events: none;
    display: flex;
    padding: 33px 0;
    border-radius: 5px;
    align-items: center;
    justify-content: center;
    border: 1px solid #ccc;
}
.wrapper.active .qr-code{
    opacity: 1;
    pointer-events: auto;
    transition: opacity 0.5s 0.05s ease;
}

@media(max-width:460px){
    .wrapper{
        max-width: 300px;
        height: 270px;
    }
}